---
schema_version: "1"
id: d81d129e9ccfa6a8ebfcf3b0b5063c0679adb23d2b7862aa7d7a70e01624679d
title: Get a Layout for a Single Approval Process on a Specified Object
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-sobject-approvallayouts-process-get.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-sobject-approvallayouts-process-get.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: a646564c34ce98a36dc0ed3782514fb4b42981203eef1d91dbbef52e8e39396c
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get a Layout for a Single Approval Process on a Specified Object

Retrieves an approval layout for a named approval process on a specified object. This resource is available in REST API version 30.0 and later.

## Syntax

**URI:** `/services/data/vXX.X/sobjects/sObject/describe/approvalLayouts/approvalProcessName`

**Formats:** JSON, XML

**HTTP methods:** GET

**Authentication:** `Authorization: Bearer token`

**Request parameters:** None required

## Example

**Example Request**

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Account/describe/approvalLayouts/ExampleApprovalProcessName -H "Authorization: Bearer token"
```

**Example Response Body**

```nolang
{
  "approvalLayouts" : [ {
    "id" : "04aD00000008Py9IAE",
    "label" : "ExampleApprovalProcessName",
    "layoutItems" : [...],
    "name" : "ExampleApprovalProcessName"
  } ]
}

```

